Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTableCenteringType

    java.lang.Object
      java.lang.Enum<OdfTableCenteringType>
          org.odftoolkit.odfdom.dom.type.style.OdfTableCenteringType

All Implemented Interfaces:
  Serializable, Comparable<OdfTableCenteringType>

    public enum OdfTableCenteringType

extends Enum<OdfTableCenteringType>

DOM implementation of OpenDocument attribute style:table-centering.

Enum Constant Summary
`BOTH`
`HORIZONTAL`
`NONE`
`VERTICAL`

Method Summary
`static OdfTableCenteringType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTableCenteringType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTableCenteringType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTableCenteringType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfTableCenteringType NONE

### HORIZONTAL

    public static final OdfTableCenteringType HORIZONTAL

### BOTH

    public static final OdfTableCenteringType BOTH

### VERTICAL

    public static final OdfTableCenteringType VERTICAL

Method Detail

### values

    public static OdfTableCenteringType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTableCenteringType c : OdfTableCenteringType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTableCenteringType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTableCenteringType>`
  Returns:
    return the name of OdfTableCenteringType

### toString

    public static String toString(OdfTableCenteringType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTableCenteringType, see style:table-centering
  Returns:
    return the name of OdfTableCenteringType

### enumValueOf

    public static OdfTableCenteringType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTableCenteringType
  Returns:
    return the constant of OdfTableCenteringType, see style:table-centering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.